VME BPM - Task #9786

Create ACNET devices for new BPMs at TG9
08/04/2015 02:55 PM - John Diamond

Status: Closed Start date: 08/04/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 2.00 hours
Target version: Spent time: 4.75 hours

Description

Two new digitizers have been added to the TG9 BPM crate. Configure and create new ACNET devices for the BPMs. See Troy's
spreadsheet:

Y:\Public\Petersen\SY BPM\Channel Locations.xlsx

History

#1 - 08/04/2015 10:42 PM - John Diamond
- % Done changed from 0 to 20

Added the following BPMs to the sbpmt9 startup script -

S:VP90
S:HP90
S:VP102
S:HP102
S:VP103 (*)
S:HP103 (*)

(*) It appears that the DAQ for these BPMs is not responding at 0x4000.

Had to increase Controller::MAX_BPMS from 4 to 12 to support extra BPMs.

#2 - 08/05/2015 09:20 AM - John Diamond

Noticed that every even byte has the second bit set in the register map for the digitizer at 0x4000 -

tstbpm:vmebpm> d Oxfbff22a0, 64
fbff22a0: 0000 0000 0000 0000 000f adOb 8000 0000 Fo N *

fbf£f22b0: 0000 0000 0000 0000 0000 0000 0000 0000 ¥ 5000000000000000 R
fbff22c0: 0000 0000 0000 0000 0000 0000 0000 0000 Y oo00000000000000a *
fbff22d0: 0000 0000 0000 0000 0000 0000 0000 0000 % 5000000000000000 *
fbff22e0: 0000 0000 0000 0000 0000 0000 0000 0000 ¥ 5000000000000000 R
fbf£f22£0: 0000 0000 0000 0000 0000 0000 0000 0000 Y oo00000000000000a *

* *

fbf£2300: 0000 0000 0000 0000 0000 0000 0000 0000  *....uiuinienennnn
fbf£f2310: 0000 0000 0000 0000 0000 0000 0000 0000 % 000000000000000a %
value = 21 = 0x15

tstbpm:vmebpm> d Oxfbff32a0, 64

fbf£f32a0: 0000 0000 0000 0000 000f adOb ££00 0000 % 000000000000000a %

fbff32b0: 0000 0000 0000 0000 0000 0000 0000 0000 fo *
fbff32c0: 0000 0000 0000 0000 0000 0000 0000 0000 fa N *
fbf£32d40: 0000 0000 0000 0000 0000 0000 0000 0000 K e e *
fbff32e0: 0000 0000 0000 0000 0000 0000 0000 0000 fo *
fbf£f32£0: 0000 0000 0000 0000 0000 0000 0000 0000 fa N *
fbf£3300: 0000 0000 0000 0000 0000 0000 0000 0000 K e e *
fbff3310: 0000 0000 0000 0000 0000 0000 0000 0000 fo *
value = 21 = 0x15
tstbpm:vmebpm> d Oxfbff42a0, 64
fbff42a0: 0200 0200 0200 0200 020f afOb 8200 0200 fo *
fbff42b0: 0200 0200 0200 0200 0200 0200 0200 0200 Fo N *
fbff42c0: 0200 0200 0200 0200 0200 0200 0200 0200 K e e *
fbff42d40: 0200 0200 0200 0200 0200 0200 0200 0200 fo *
fbff42e0: 0200 0200 0200 0200 0200 0200 0200 0200 Fo N *
fbff42£0: 0200 0200 0200 0200 0200 0200 0200 0200 K e e *
* *

fbf£4300: 0200 0200 0200 0200 0200 0200 0200 0200  *................

10/20/2020 12




fbf£f4310: 0200 0200 0200 0200 0200 0200 0200 0200 ol *
value = 21 = 0x15

Asked Ning to look into this. Will proceed with making ACNET devices this morning...

#3 - 08/05/2015 01:30 PM - John Diamond

Ning couldn't reproduce the problem on his bench. We re-installed the card and it appears to be working now...

#4 - 08/05/2015 03:24 PM - John Diamond
Created the following ACNET Devices:

Device ID Position Inten Acc Inten Mag Attn Table Log Amp Attn
4 S:VP90 S:VI90 S:VIN9O S:VM90 S:VO90AT S:VP90A S:V090AS
5 S:HP90 S:HI90 S:HIN90 S:HM90 S:HO90AT S:HP90A S:HO90AS
6 S:HP102 S:HI102 S:HIN102 S:HM102 S:H102AT S:HP102A S:H102AS
7 S:VP102 S:VI102 S:VIN102 S:VM102 S:V102AT S:VP102A S:V102AS
8 S:HP103 S:HI103 S:HIN103 S:HM103 S:H103AT S:HP103A S:H103AS
9 S:VP103 S:VI103 S:VIN103 S:VM102 S:V103AT S:VP103A S:V103AS
#5 - 08/06/2015 09:23 AM - John Diamond
Added new ACNET devices to the redmine wiki.
#6 - 08/06/2015 09:34 AM - John Diamond
- Status changed from Assigned to Closed
- % Done changed from 20 to 100
Added the ACNET devices for the new BPMs to the TG9 sub-page of S49.
